package com.ruoyi.rc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 申请管理我的申请显示实体类
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public class DevProcess {

    /** 流程ID */
    private String processId;

    /** 流程名称 */
    private String processName;

    /** 流程创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date processCreateTime;

    /** 业务键 */
    private String businessKey;

    private String apNo;

    private String apName;

    private TProgress progress;

    private TOpenItem openItem;

    public TOpenItem getOpenItem() {
        return openItem;
    }

    public void setOpenItem(TOpenItem openItem) {
        this.openItem = openItem;
    }

    public TProgress getProgress() {
        return progress;
    }

    public void setProgress(TProgress progress) {
        this.progress = progress;
    }

    /** 是否结束 */
    private boolean isEnd;

    public String getApName() {
        return apName;
    }

    public void setApName(String apName) {
        this.apName = apName;
    }

    public String getApNo() {
        return apNo;
    }

    public void setApNo(String apNo) {
        this.apNo = apNo;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Date getProcessCreateTime() {
        return processCreateTime;
    }

    public void setProcessCreateTime(Date processCreateTime) {
        this.processCreateTime = processCreateTime;
    }

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    public boolean isEnd() {
        return isEnd;
    }

    public void setEnd(boolean end) {
        isEnd = end;
    }

    @Override
    public String toString() {
        return "DevProcess{" +
                "processId='" + processId + '\'' +
                ", processName='" + processName + '\'' +
                ", processCreateTime=" + processCreateTime +
                ", businessKey='" + businessKey + '\'' +
                ", isEnd=" + isEnd +
                '}';
    }
}
